---
title: x1
slug: Web/SVG/Attribute/x1
tags:
  - Drawing Lines
  - Gradients
  - LInes
  - SVG
  - SVG Attribute
  - SVG Gradients
  - Vector Graphics
---
<div>{{SVGRef}}</div>

<p>The <strong><code>x1</code></strong> attribute is used to specify the first x-coordinate for drawing an SVG element that requires more than one coordinate. Elements that only need one coordinate use the {{SVGAttr("x")}} attribute instead.</p>

<p>Two elements are using this attribute: {{ SVGElement("line") }}, and {{ SVGElement("linearGradient") }}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;line x1="1" x2="5" y1="1" y2="9" stroke="red" /&gt;
  &lt;line x1="5" x2="5" y1="1" y2="9" stroke="green" /&gt;
  &lt;line x1="9" x2="5" y1="1" y2="9" stroke="blue" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="line">line</h2>

<p>For {{SVGElement('line')}}, <code>x1</code> defines the x coordinate of the starting point of the line.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;line x1="1" x2="5" y1="1" y2="9" stroke="red"   /&gt;
  &lt;line x1="5" x2="5" y1="1" y2="9" stroke="green" /&gt;
  &lt;line x1="9" x2="5" y1="1" y2="9" stroke="blue"  /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('line', '100%', 200)}}</p>

<h2 id="linearGradient">linearGradient</h2>

<p>For {{SVGElement('linearGradient')}}, <code>x1</code> defines the  x coordinate of the starting point of the <em>gradient vector</em> used to map the gradient stop values. The exact behavior of this attribute is influenced by the {{SVGAttr('gradientUnits')}} attributs</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example_2">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 20 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!--
  By default the gradient vector start at the left
  bounding limit of the shape it is applied to
  --&gt;
  &lt;linearGradient x1="0%" id="g0"&gt;
    &lt;stop offset="0"    stop-color="black"  /&gt;
    &lt;stop offset="100%" stop-color="red" /&gt;
  &lt;/linearGradient&gt;

  &lt;rect x="1"  y="1" width="8" height="8" fill="url(#g0)" /&gt;

  &lt;!--
  Here the gradient vector start at 80% of the left
  bounding limit of the shape it is applied to
  --&gt;
  &lt;linearGradient x1="80%" id="g1"&gt;
    &lt;stop offset="0"    stop-color="black"  /&gt;
    &lt;stop offset="100%" stop-color="red" /&gt;
  &lt;/linearGradient&gt;

  &lt;rect x="11" y="1" width="8" height="8" fill="url(#g1)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('linearGradient', '100%', 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#LineElementX1Attribute", "x1")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;line&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#LinearGradientElementX1Attribute", "x1")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#LineElementX1Attribute", "x1")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;line&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#LinearGradientElementX1Attribute", "x1")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
 </tbody>
</table>
